# Gimp.PDB.lookup_procedure

    @accepts(Gimp.PDB, unicode)
    @returns(Gimp.Procedure)
    def lookup_procedure(self, procedure_name):
        # Python wrapper for gimp_pdb_lookup_procedure()

This function returns the [class@Procedure] which is registered with procedure_name if it exists, or returns None otherwise.

The returned [class@Procedure] is owned by self and must not be modified.

Since 3.0

self

  A Gimp.PDB instance.

procedure_name

  A procedure name

Returns